Skip to main content
POST
/
v1
/
deployments
/
{deploymentID}
/
finalize
Finalize a deployment version
curl --request POST \
  --url https://api.strait.dev/v1/deployments/{deploymentID}/finalize \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "environment": "<string>",
  "project_id": "<string>"
}
'
{
  "artifact_uri": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "environment": "<string>",
  "id": "<string>",
  "project_id": "<string>",
  "runtime": "<string>",
  "status": "<string>",
  "strategy": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "$schema": "<string>",
  "canary_duration": 123,
  "canary_percent": 123,
  "checksum": "<string>",
  "created_by": "<string>",
  "finalized_at": "2023-11-07T05:31:56Z",
  "manifest": "<unknown>",
  "promoted_at": "2023-11-07T05:31:56Z",
  "rollback_from_deployment_id": "<string>",
  "updated_by": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.strait.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Path Parameters

deploymentID
string
required

Body

application/json
environment
string
required
project_id
string
required

Response

OK

artifact_uri
string
required
created_at
string<date-time>
required
environment
string
required
id
string
required
project_id
string
required
runtime
string
required
status
string
required
strategy
string
required
updated_at
string<date-time>
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.strait.dev/schemas/DeploymentVersion.json"

canary_duration
integer<int64>
canary_percent
integer<int64>
checksum
string
created_by
string
finalized_at
string<date-time>
manifest
any
promoted_at
string<date-time>
rollback_from_deployment_id
string
updated_by
string